#include "funkce.h"

const double pi = 3.1415926;

/* Funkce spocita obsah ctverce
   strana ... delka strany ctverce
*/
double obsah_ctverce(double strana)
{
	return strana * strana;
}

/* Funkce spocita obsah kruhu na zaklade jeho polomeru
*/
double obsah_kruhu(double polomer)
{
	return pi * polomer * polomer;
}

/* Funkce spocita objem valce na zaklade jeho polomeru a vysky
*/
double objem_valce(double polomer, double vyska)
{
	return vyska * obsah_kruhu(polomer);
}

/* Funkce spocita objem koule na zaklade jejiho polomeru
*/
double objem_koule(double polomer)
{
	return 4.0 / 3 * polomer * obsah_kruhu(polomer);
}
